Package org.drinkless.tdlib

# Class TdApi.FoundAffiliateProgram

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.FoundAffiliateProgram

Enclosing class:
  `TdApi`

public static class TdApi.FoundAffiliateProgram extends TdApi.Object
Describes a found affiliate program.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the bot created the program.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AffiliateProgramInfo`
  `info`
  Information about the affiliate program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FoundAffiliateProgram()`
  Describes a found affiliate program.
  `FoundAffiliateProgram(long botUserId, TdApi.AffiliateProgramInfo info)`
  Describes a found affiliate program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the bot created the program.

  - ### info

    public TdApi.AffiliateProgramInfo info
    Information about the affiliate program.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FoundAffiliateProgram

    public FoundAffiliateProgram()
    Describes a found affiliate program.

  - ### FoundAffiliateProgram

    public FoundAffiliateProgram(long botUserId, TdApi.AffiliateProgramInfo info)
    Describes a found affiliate program.
    Parameters:
      `botUserId` - User identifier of the bot created the program.
      `info` - Information about the affiliate program.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR